This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266122 - [GSS](6.4.z) resteasy-jaxrs module should not export org.apache.httpcomponents
[GSS](6.4.z) resteasy-jaxrs module should not export org.apache.httpcomponents
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: jbossas (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: jboss-set
Peter Mackay
:
: 1364847 (view as bug list)
Depends On:
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2015-09-24 10:21 EDT by Brad Maxwell
Modified: 2017-01-17 07:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:01:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2634 Minor Resolved Classloading Problem with Apache httpclient 2017-08-31 10:30 EDT
Red Hat Knowledge Base (Solution) 2191781 None None None 2016-03-07 16:30 EST

  None (edit)
Description Brad Maxwell 2015-09-24 10:21:10 EDT
JAX-RS applications get the resteasy-jaxrs module implicitly added, exporting org.apache.httpcomponents from it causes the application to not be able to use its packaged version of apache http components.
Comment 15 Peter Mackay 2016-03-08 12:11:16 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 16 Brad Maxwell 2016-11-12 00:53:09 EST
*** Bug 1364847 has been marked as a duplicate of this bug. ***
Comment 17 Petr Penicka 2017-01-17 07:01:59 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.